function show_confirm_and_remove(canevas_id)
{
	var dialog = $( "#dialog-confirm" );	
	dialog.data("scan_id",canevas_id);
	dialog.dialog( "open" );
}

function configure_table(table_id){	
	table = $("#"+table_id);
	table.data("tablesorter").widgets.push('print');
	table.data("tablesorter").widgets.push('columnSelector');
	table.data("tablesorter").widgetOptions['columnSelector_container']=$("#"+table_id+'_columnSelector');
	
	table.tablesorterPager({
        container: $( "#pager_"+table_id ),
        output: '{startRow} to {endRow} ({filteredRows})',
        size: 100,
    });
	
	$( '#'+table_id+'_print').click(function(){
          table.trigger('printTable');
	});
}

function create_report_table(table_id){
	Utils.createTable("#"+table_id);
	configure_table(table_id);
}

$(document).ready(function()
{	
	if($('#canevas_list').length) {
		create_report_table("canevas_list");
	}
});