<?php
$_SERVER['DOCUMENT_ROOT']='/usr/local/esia/public_html/';
$path = rtrim ($_SERVER['DOCUMENT_ROOT'],'/');
include_once $path.'/esia.conf.php';
include_once $path.'/Model_esia.php';
include_once $path.'/plugin/report/Model_Report.php';
include_once $path.'/plugin/report/lang/'.LANG.'.php';

$SHORT_OPTS="a:i:s:e:r:I:";
$LONG_OPTS=array("action:","id:","start:","End:","inter:","IdInclude:");

$options = getopt($SHORT_OPTS, $LONG_OPTS);

$action	  = getParam($options,"action","a");
$idBlock  = getParam($options,"id","i");
$start	  = getParam($options,"start","s");
$end	  = getParam($options,"end","e");
//$IdInclude= getParam($options,"idInclude","I");

try
{
	$dbconnection = new PDO('pgsql:host='.DB_HOST.';port='.DB_PORT.';dbname='.DB_NAME, DB_USERNAME, DB_PWD);
	$dbconnection->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_WARNING);
}
catch(Exception $e)
{
	echo 'PDO SQL ERROR: '.$e->getMessage().'<br />';
	echo 'N° : '.$e->getCode();
}

$query=Model_Report::getReportIncludeBlock($dbconnection,$idBlock);
$query= $query[0];
$val = json_decode($query['include_parameter']);
$Type = $val->type; // SERVICE OU NOEUD

if($action=="generate")
{
	$sql =" SELECT * FROM get_availability(?,?,to_date(?,'YYYY-MM-DD'),to_date(?,'YYYY-MM-DD'))";
	$query= $dbconnection->prepare($sql);
	foreach ($val->serviceid as $id)
	{
		$service = Model_esia::getServices($dbconnection,null,$id);
		$service = array_pop($service);
		$queryexec = Model_esia::executeStatement($query,array($service['device_id'],$id,$start,$end));
		$row = $queryexec->fetchAll();
		print_r($row);
	}
}
elseif($action="update") // MODIFIER LES PARAM
{

}

function AfficheHTML($ResponseSQL)
{
	foreach($ResponseSQL as $value)
	{
		echo '<tr>';
		foreach ($value as $val => $v)
		{
			echo'<td>'.$v.'</td>';
		}
		echo '</tr>';
	}
}

/**
 @brief retourne la valeur associé à la clé
 @detail retourne la valeur associé au paramètre. ou une valeur par défaut
 @params array $options le tableau de paramètre global
 @params string $name1 le nom court du paramètre (ex: -H 127.0.0.1)
 @params string $name2 le nom long du paramètre (ex: --host 127.0.0.1)
 @params string $default (optionnel) la valeur par défaut du paramètre s'il n'est pas spécifié
 @retval	null|mixed la valeur du paramètre
 @throw void
 */
function getParam($options,$name1,$name2,$default=null)
{
	if( isset( $options[$name1] ) ) return $options[$name1];
	if( isset( $options[$name2] ) ) return $options[$name2];
	return $default;
}

?>